Extending Qt Creator Manual | CommandLocator

Extending Qt Creator Manual 4.5.2

# CommandLocator Class

(Core::CommandLocator)

Inherits: | Core::ILocatorFilter

- List of all members, including inherited members

## Public Functions

| CommandLocator(Id id, const QString &displayName, const QString &shortCutString, QObject *parent = 0)
| ~CommandLocator()
void | appendCommand(Command *cmd)

## Reimplemented Public Functions

virtual void | accept(LocatorFilterEntry selection, QString *newText, int *selectionStart, int *selectionLength) const override
virtual QList<LocatorFilterEntry> | matchesFor(QFutureInterface<LocatorFilterEntry> &future, const QString &entry) override
virtual void | refresh(QFutureInterface<void> &future) override

- 19 public functions inherited from Core::ILocatorFilter

### Additional Inherited Members

- 1 public slot inherited from Core::ILocatorFilter
- 8 static public members inherited from Core::ILocatorFilter
- 5 protected functions inherited from Core::ILocatorFilter

## Member Function Documentation

### CommandLocator::CommandLocator(Id id, const QString &displayName, const QString &shortCutString, QObject *parent = 0)

Default constructs an instance of CommandLocator.

### CommandLocator::~CommandLocator()

Destroys the instance of CommandLocator.

### `[override virtual]` void CommandLocator::accept(LocatorFilterEntry selection, QString *newText, int *selectionStart, int *selectionLength) const

### void CommandLocator::appendCommand(Command *cmd)

### `[override virtual]` QList<LocatorFilterEntry> CommandLocator::matchesFor(QFutureInterface<LocatorFilterEntry> &future, const QString &entry)

### `[override virtual]` void CommandLocator::refresh(QFutureInterface<void> &future)